Create a Turnkey activity approval request
curl --request POST \
--url https://sandbox.groundtech.co/v2/turnkey/activity-approval-request \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"activityId": "018f4b7a-1111-7000-8000-000000000001",
"action": "approve"
}
'import requests
url = "https://sandbox.groundtech.co/v2/turnkey/activity-approval-request"
payload = {
"activityId": "018f4b7a-1111-7000-8000-000000000001",
"action": "approve"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({activityId: '018f4b7a-1111-7000-8000-000000000001', action: 'approve'})
};
fetch('https://sandbox.groundtech.co/v2/turnkey/activity-approval-request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"activityId": "018f4b7a-1111-7000-8000-000000000001",
"action": "approve",
"turnkeyRequest": {
"type": "ACTIVITY_TYPE_APPROVE_ACTIVITY",
"timestampMs": "1782302400000",
"organizationId": "turnkey-suborg-id",
"parameters": {
"fingerprint": "activity-fingerprint"
}
},
"stampPayload": "{\"type\":\"ACTIVITY_TYPE_APPROVE_ACTIVITY\",\"timestampMs\":\"1782302400000\",\"organizationId\":\"turnkey-suborg-id\",\"parameters\":{\"fingerprint\":\"activity-fingerprint\"}}"
}{
"error": "<string>",
"code": "validation_error"
}{
"error": "Unauthenticated request",
"message": "Missing or invalid bearer token"
}{
"error": "<string>",
"code": "validation_error"
}{
"error": "<string>",
"code": "validation_error"
}{
"error": "<string>",
"code": "validation_error"
}{
"error": "Rate limit exceeded",
"code": "rate_limited"
}{
"error": "Internal server error",
"code": "internal_error"
}Approvals
Create Turnkey activity approval request
Creates the Turnkey approval or rejection request that the customer signs before submitting their vote.
POST
/
v2
/
turnkey
/
activity-approval-request
Create a Turnkey activity approval request
Returns the Turnkey approve or reject request payload that the customer signer must stamp locally before submitting it to the vote endpoint.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Turnkey request payload to stamp locally